import type { KeyValueCache } from '@graphql-mesh/types';
import { type RedisConfigNodejs } from '@upstash/redis';
import { DisposableSymbols } from '@whatwg-node/disposablestack';
export default class UpstashRedisCache implements KeyValueCache {
    private redis;
    private abortCtrl;
    constructor(config?: Partial<RedisConfigNodejs>);
    get<T>(key: string): Promise<T>;
    set<T>(key: string, value: T, options?: {
        ttl?: number;
    }): Promise<"OK" | T>;
    delete(key: string): import("@graphql-mesh/utils").MaybePromise<boolean>;
    getKeysByPrefix(prefix: string): Promise<string[]>;
    [DisposableSymbols.dispose](): void;
}
